Bug 477808 - GSSAPI / Kerberos IMAP authentication broken in Evolution 2.24
GSSAPI / Kerberos IMAP authentication broken in Evolution 2.24
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 15:38 EST by Dax Kelson
Modified: 2009-01-08 06:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 06:02:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 554182 None None None Never

  None (edit)
Description Dax Kelson 2008-12-23 15:38:49 EST
Description of problem:

It appears that Evolution 2.24.0 through at least evolution-2.24.2 fails to authenticate with GSSAPI / Kerberos with IMAP.

It does fetch an imap service ticket, but fails to use it.

This bug was reported in the GNOME bug tracker in Sept 2008 but no action has been taken there (yet).

Evolution 2.22 on Fedora 9 works perfectly fine with GSSAPI / Kerberos IMAP authentication.

Version-Release number of selected component (if applicable):
evolution-2.24.2-2.fc10.x86_64

How reproducible:
everytime

Steps to Reproduce:
1. Configure workstation in Kerberos REALM
2. Tell Evo 2.24 to use GSSAPI IMAP authentication
Comment 1 Matthew Booth 2008-12-28 19:16:25 EST
Changing the priority from low to medium. This is a show-stopper for anybody hit by it (myself, for eg).
Comment 2 Milan Crha 2009-01-08 06:02:39 EST
The upstream bug [1] contains a patch, which has been committed to the stable branch too, couple minutes ago. The fix will be available in the next release/update of evolution-data-server, version 2.24.3, which is planned around January 14th.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=554182

Note You need to log in before you can comment on or make changes to this bug.